Page MenuHomePhabricator

provide a database to test sanitizing Bugzilla db
Closed, ResolvedPublic

Description

i would like to resolve T85141. for that i want to test the linked script for sanitizing the Bugzilla db. i don't want to do that on the live data or touch db1001 and just create new test db's in prod. it also feels wrong though to copy the private data to labs or my laptop. so i'm asking to:

Please take the existing Bugzilla db in prod on db1001 and provide a 1:1 copy of it somewhere where i can test-run a script on it. For example "bugzilla-test" or something. Either with the same credentials or something separate, up to you.

Thanks

Event Timeline

Dzahn created this task.Dec 22 2014, 4:48 PM
Dzahn assigned this task to Springle.
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn changed Security from none to None.
Dzahn added a subscriber: Dzahn.

Change 181524 had a related patch set uploaded (by Springle):
add db2030 to m1 temporarily for T85150

https://gerrit.wikimedia.org/r/181524

Patch-For-Review

Change 181524 merged by Springle:
add db2030 to m1 temporarily for T85150

https://gerrit.wikimedia.org/r/181524

Springle mentioned this in Unknown Object (Diffusion Commit).Dec 22 2014, 11:38 PM

Best use a codfw box since they are mostly idle. db2030 has been cloned from db2010 with all m1 data, because that's easier and faster than dumping and importing bugzilla alone. It is not replicating but should be the same as db1001 in all other ways including user/pass for bugzilla. Hammer or change it as you wish -- we'll just reclone afterwards.

Dzahn closed this task as Resolved.Dec 23 2014, 12:02 PM

ahh. i understand. thank you, taking db2030

Hi Sean, i ran into this:

"The MariaDB server is running with the --read-only option so it cannot execute this statement"

is that true on db2030?

Dzahn added a comment.EditedDec 23 2014, 12:58 PM
@db2030:~# grep read /etc/mysql/my.cnf 
 # Always start in read_only mode.
read_only = on
Dzahn reopened this task as Open.Dec 23 2014, 12:59 PM

Ah, right. Still configured as a slave. For now, I've just done this:

SET GLOBAL read_only=0;

Dzahn closed this task as Resolved.Jan 5 2015, 2:16 PM

thank you. that works. i can run the script now. resolving

jcrespo added a subscriber: jcrespo.Feb 5 2016, 3:51 PM

we'll just reclone afterwards.

Reimaging db2030- no data will be saved there.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 5 2016, 3:51 PM